﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AjaxJQueryDemo.Controllers
{
    public class HomeController : Controller
    {
        private Dictionary<string, double> conversionRates = new Dictionary<string, double> 
        {
        //Dictionary of conversion rates
            { "eur", 1.15 },   { "usd", 1.60 },   { "nok", 9.05 }
        };

        public ActionResult Index()
        {
            return View();
        }

        public string GetValue(string currencyCode)
        {
            if (!conversionRates.ContainsKey(currencyCode))
            {//Unrecognized currency code
                return string.Format("<div>Unrecognized currency code: {0}</div>", currencyCode);
            }
            else
            {//Show converted currency 
                return string.Format("<div>£1.00 = {0} {1}</div>", conversionRates[currencyCode], currencyCode.ToUpper());
            }
        }
    }
}
